> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.getadunitinstancebybid.md).

# relevantDigital.getAdUnitInstanceByBid()

Use `relevantDigital.getAdUnitInstanceByBid()` to match a Prebid bid object to its Relevant Yield placement and ad slot.

Pass a bid from [pbjs.onEvent()](https://docs.prebid.org/dev-docs/publisher-api-reference/onEvent.html) or another Prebid API method.

### Return value

Returns an object with a `slot` property for the matching ad slot.

{% hint style="info" %}
For Google Ad Manager, `slot` may be a [googletag.Slot](https://developers.google.com/publisher-tag/reference#googletag.slot). For instream video, [delayedAdserverLoading](/technical/integration/javascript-api/relevantdigital.loadprebid.md), or other ad servers, it is a Relevant Yield object with a smaller API.
{% endhint %}

#### `slot.getSlotElementId()`

Returns the ad slot's div ID. For instream video, it returns the ID supplied to [relevantDigital.defineVideoSlots()](/technical/integration/javascript-api/relevantdigital.definevideoslots.md).

#### `slot.getAdUnitPath()`

Returns the ad unit path or placement ID.

### Parameters

#### `bid`

The bid object returned by Prebid. For example, use a bid from [pbjs.onEvent()](https://docs.prebid.org/dev-docs/publisher-api-reference/onEvent.html) or [pbjs.getBidResponses()](https://docs.prebid.org/dev-docs/publisher-api-reference/getBidResponses.html).

### Example

```
pbjs.onEvent('bidWon', (bid) => {
    const instance = relevantDigital.getAdUnitInstanceByBid(bid);
    const { slot } = instance;
    console.info('div id: ', slot.getSlotElementId());
    console.info('placement id: ', slot.getAdUnitPath());
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.getadunitinstancebybid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
